# Maintainer: Deron Parker <WkdWeWIyNHVaR1YyUUhCaGNtdGxjbk11WTJNSwo=> # base64 encoded twice

_pkgname=eww
pkgname="$_pkgname-wayland"
pkgver=0.5.0
pkgrel=1
pkgdesc="ElKowar's wacky widgets"
arch=(x86_64)
url="https://elkowar.github.io/eww/"
license=(MIT)
# https://elkowar.github.io/eww/eww.html#prerequisites
depends=(
  gtk3
  gtk-layer-shell
  pango
  gdk-pixbuf2
  cairo
  glib2
  gcc-libs
  glibc
  )
makedepends=(cargo git)
provides=("$_pkgname")
conflicts=("$_pkgname")
options=(strip !debug)
# source=()
# validpgpkeys=()

_giturl="https://github.com/elkowar/eww"
_gittag="v$pkgver"
_pkgsrcdir="$_pkgname"

# https://elkowar.github.io/eww/eww.html#how-to-install-eww

echo $_pkgsrcdir

prepare() {
  reclone=false
  if test ! -d "$_pkgsrcdir"; then
    reclone=true
  else
    (
    cd "$_pkgsrcdir" || exit
    if test `git describe --tags` != "$_gittag"; then
      reclone=true
    fi
    )
  fi
  if $reclone; then
    rm "$_pkgsrcdir" -rf
    git clone --branch "$_gittag" --depth 1 "$_giturl" "$_pkgsrcdir"
  fi
}

build() {
  cd "$_pkgsrcdir"
  cargo build --release --no-default-features --features=wayland
}

package() {
  cd "$_pkgsrcdir"
  install -d "$pkgdir/etc/xdg/$_pkgname/"
  cp -r examples/eww-bar "$pkgdir/etc/xdg/$_pkgname/"
  install -Dm755 target/release/$_pkgname -t "$pkgdir/usr/bin/"
}
